Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiSmallButton

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiButton
              net.minecraft.src.GuiSmallButton

    public class GuiSmallButton

extends GuiButton

Field Summary

Fields inherited from class net.minecraft.src.GuiButton
`displayString, drawButton, enabled, id, xPosition, yPosition`

Constructor Summary
`GuiSmallButton(int par1, int par2, int par3, EnumOptions par4EnumOptions, String par5Str)`
`GuiSmallButton(int par1, int par2, int par3, int par4, int par5, String par6Str)`
`GuiSmallButton(int par1, int par2, int par3, String par4Str)`

Method Summary
`EnumOptions` | `returnEnumOptions()`

Methods inherited from class net.minecraft.src.GuiButton
`drawButton, func_82251_b, func_82252_a, mousePressed, mouseReleased`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiSmallButton

    public GuiSmallButton(int par1,
                          int par2,
                          int par3,
                          String par4Str)

### GuiSmallButton

    public GuiSmallButton(int par1,
                          int par2,
                          int par3,
                          int par4,
                          int par5,
                          String par6Str)

### GuiSmallButton

    public GuiSmallButton(int par1,
                          int par2,
                          int par3,
                          EnumOptions par4EnumOptions,
                          String par5Str)

Method Detail

### returnEnumOptions

    public EnumOptions returnEnumOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD